<?php

	/*
	 *
	 * 2003 - 2020 @ Yal Publicidad
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * @lib.lenguaje
	 *
	 */
	 
	 /* Autorizo acceso */
		defined('YMS') or die( 'No dispones de acceso' ); 
	
	//define( "L_VER_SITIO", wyp_j( wyp_json( 'cuentas_usuarios' )->prueba->lenguajes ) );
	
	function etiqueta( $etiqueta, $por_defecto = '', $asociativo = false ){
		return yLng::etiqueta( $etiqueta, $por_defecto, $asociativo );	
	}

	function regCfgIdioma($ruta=NULL){
		yLng::path($ruta);
	}
	
	class yLng{
		public static $seleccionado;
		
		private static $path;
		
		/*
		 * Mostrar etiqueta por idioma
		 */
		public static function etiqueta( $etiqueta, $por_defecto = '', $asociativo = false ){
			//global $plug;
			
			//if( empty( $etiqueta ) ) return $por_defecto;
			
			//$lng = ( self::$seleccionado != NULL ) ? self::$seleccionado : 'es';
			
			$url_json = self::$path; 
			if( file_exists( $url_json ) ){
				$data	= file_get_contents( $url_json );
				$data	= json_decode( $data, $asociativo );
				if( $asociativo == false ){
					$etiqueta = ( isset( $data->$etiqueta ) ) ?  $data->$etiqueta : $por_defecto;
				}else{
					$etiqueta = ( isset( $data[$etiqueta] ) ) ?  $data[$etiqueta] : $por_defecto;
				}
				
				return $etiqueta;
			}
			return $por_defecto;
		}
		
		public static function path( $camino = NULL ){
			self::$path = $camino;	
		}
		
	}
	
?>